Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2HeadControl Class Reference

Base class for all HeadControl solutions that use a Xabsl2Engine. More...

`#include <Xabsl2HeadControl.h>`

Inheritance diagram for Xabsl2HeadControl:

[legend]
Collaboration diagram for Xabsl2HeadControl:

[legend]
List of all members.

## Public Member Functions
| Xabsl2HeadControl (const HeadControlInterfaces &interfaces, SolutionRequest::xabsl2EngineID id)
| Constructor.
| ~Xabsl2HeadControl ()
| destructor
virtual bool | handleMessage (InMessage &message)
| Is called for every incoming debug message.
## Protected Member Functions
virtual void | executeIfEngineCouldNotBeCreated ()
| Is called if the engine could not be created.
virtual void | printGeneratedMainActionToString (char *buf)
| Prints the main action that was generated by the execution of the engine to a string.

## Detailed Description

Base class for all HeadControl solutions that use a Xabsl2Engine.

Author:
  Martin Lötzsch

Definition at line 23 of file Xabsl2HeadControl.h.

## Constructor & Destructor Documentation

Xabsl2HeadControl::Xabsl2HeadControl | ( | const HeadControlInterfaces & | interfaces,
|  | SolutionRequest::xabsl2EngineID | id
| ) |

  | Constructor. Parameters:
  interfaces | The paramters of the HeadControl module.
  id | The id of the Xabsl2Engine.
Definition at line 13 of file Xabsl2HeadControl.cpp.

Xabsl2HeadControl::~Xabsl2HeadControl | ( |  | ) | `[inline]`

| destructor Definition at line 35 of file Xabsl2HeadControl.h.

## Member Function Documentation

bool Xabsl2HeadControl::handleMessage | ( | InMessage & | message | ) | `[virtual]`

  | Is called for every incoming debug message. Parameters:
  message | An interface to read the message from the queue
Returns: if the messag was read Reimplemented from GTXabsl2EngineExecutor. Reimplemented in GT2005HeadControl. Definition at line 37 of file Xabsl2HeadControl.cpp. References GTXabsl2EngineExecutor::handleMessage(). Referenced by GT2005HeadControl::handleMessage().

Here is the call graph for this function:

void Xabsl2HeadControl::executeIfEngineCouldNotBeCreated | ( |  | ) | `[protected, virtual]`

| Is called if the engine could not be created. Implements GTXabsl2EngineExecutor. Definition at line 21 of file Xabsl2HeadControl.cpp. References HeadMotionRequest::mouth, HeadMotionRequest::pan, HeadMotionRequest::roll, and HeadMotionRequest::tilt.

void Xabsl2HeadControl::printGeneratedMainActionToString | ( | char * | buf | ) | `[protected, virtual]`

  | Prints the main action that was generated by the execution of the engine to a string. Parameters:
  buf | the string where to print the action
Implements GTXabsl2EngineExecutor. Definition at line 29 of file Xabsl2HeadControl.cpp. References HeadMotionRequest::pan, HeadMotionRequest::roll, and HeadMotionRequest::tilt.

The documentation for this class was generated from the following files:

- Modules/HeadControl/Xabsl2HeadControl.h
- Modules/HeadControl/Xabsl2HeadControl.cpp